Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.232.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
31.232.96.0
Broadcast address
31.232.127.255
First usable
31.232.96.1
Last usable
31.232.127.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FE86000 · Integer 535322624 to 535330815
Reverse DNS zones
96.232.31.in-addr.arpa
97.232.31.in-addr.arpa
98.232.31.in-addr.arpa
99.232.31.in-addr.arpa
100.232.31.in-addr.arpa
101.232.31.in-addr.arpa
102.232.31.in-addr.arpa
103.232.31.in-addr.arpa
104.232.31.in-addr.arpa
105.232.31.in-addr.arpa
106.232.31.in-addr.arpa
107.232.31.in-addr.arpa
108.232.31.in-addr.arpa
109.232.31.in-addr.arpa
110.232.31.in-addr.arpa
111.232.31.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.11101000.01100000.0000000031.232.96.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011111.11101000.01100000.0000000031.232.96.0
Broadcast00011111.11101000.01111111.1111111131.232.127.255
Split into smaller subnets/28

31.232.96.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.232.96.0/2831.232.96.1 to 31.232.96.1431.232.96.1514
231.232.96.16/2831.232.96.17 to 31.232.96.3031.232.96.3114
331.232.96.32/2831.232.96.33 to 31.232.96.4631.232.96.4714
431.232.96.48/2831.232.96.49 to 31.232.96.6231.232.96.6314
531.232.96.64/2831.232.96.65 to 31.232.96.7831.232.96.7914
631.232.96.80/2831.232.96.81 to 31.232.96.9431.232.96.9514
731.232.96.96/2831.232.96.97 to 31.232.96.11031.232.96.11114
831.232.96.112/2831.232.96.113 to 31.232.96.12631.232.96.12714
931.232.96.128/2831.232.96.129 to 31.232.96.14231.232.96.14314
1031.232.96.144/2831.232.96.145 to 31.232.96.15831.232.96.15914
1131.232.96.160/2831.232.96.161 to 31.232.96.17431.232.96.17514
1231.232.96.176/2831.232.96.177 to 31.232.96.19031.232.96.19114
1331.232.96.192/2831.232.96.193 to 31.232.96.20631.232.96.20714
1431.232.96.208/2831.232.96.209 to 31.232.96.22231.232.96.22314
1531.232.96.224/2831.232.96.225 to 31.232.96.23831.232.96.23914
1631.232.96.240/2831.232.96.241 to 31.232.96.25431.232.96.25514
1731.232.97.0/2831.232.97.1 to 31.232.97.1431.232.97.1514
1831.232.97.16/2831.232.97.17 to 31.232.97.3031.232.97.3114
1931.232.97.32/2831.232.97.33 to 31.232.97.4631.232.97.4714
2031.232.97.48/2831.232.97.49 to 31.232.97.6231.232.97.6314
2131.232.97.64/2831.232.97.65 to 31.232.97.7831.232.97.7914
2231.232.97.80/2831.232.97.81 to 31.232.97.9431.232.97.9514
2331.232.97.96/2831.232.97.97 to 31.232.97.11031.232.97.11114
2431.232.97.112/2831.232.97.113 to 31.232.97.12631.232.97.12714
2531.232.97.128/2831.232.97.129 to 31.232.97.14231.232.97.14314
2631.232.97.144/2831.232.97.145 to 31.232.97.15831.232.97.15914
2731.232.97.160/2831.232.97.161 to 31.232.97.17431.232.97.17514
2831.232.97.176/2831.232.97.177 to 31.232.97.19031.232.97.19114
2931.232.97.192/2831.232.97.193 to 31.232.97.20631.232.97.20714
3031.232.97.208/2831.232.97.209 to 31.232.97.22231.232.97.22314
3131.232.97.224/2831.232.97.225 to 31.232.97.23831.232.97.23914
3231.232.97.240/2831.232.97.241 to 31.232.97.25431.232.97.25514
3331.232.98.0/2831.232.98.1 to 31.232.98.1431.232.98.1514
3431.232.98.16/2831.232.98.17 to 31.232.98.3031.232.98.3114
3531.232.98.32/2831.232.98.33 to 31.232.98.4631.232.98.4714
3631.232.98.48/2831.232.98.49 to 31.232.98.6231.232.98.6314
3731.232.98.64/2831.232.98.65 to 31.232.98.7831.232.98.7914
3831.232.98.80/2831.232.98.81 to 31.232.98.9431.232.98.9514
3931.232.98.96/2831.232.98.97 to 31.232.98.11031.232.98.11114
4031.232.98.112/2831.232.98.113 to 31.232.98.12631.232.98.12714
4131.232.98.128/2831.232.98.129 to 31.232.98.14231.232.98.14314
4231.232.98.144/2831.232.98.145 to 31.232.98.15831.232.98.15914
4331.232.98.160/2831.232.98.161 to 31.232.98.17431.232.98.17514
4431.232.98.176/2831.232.98.177 to 31.232.98.19031.232.98.19114
4531.232.98.192/2831.232.98.193 to 31.232.98.20631.232.98.20714
4631.232.98.208/2831.232.98.209 to 31.232.98.22231.232.98.22314
4731.232.98.224/2831.232.98.225 to 31.232.98.23831.232.98.23914
4831.232.98.240/2831.232.98.241 to 31.232.98.25431.232.98.25514
4931.232.99.0/2831.232.99.1 to 31.232.99.1431.232.99.1514
5031.232.99.16/2831.232.99.17 to 31.232.99.3031.232.99.3114
5131.232.99.32/2831.232.99.33 to 31.232.99.4631.232.99.4714
5231.232.99.48/2831.232.99.49 to 31.232.99.6231.232.99.6314
5331.232.99.64/2831.232.99.65 to 31.232.99.7831.232.99.7914
5431.232.99.80/2831.232.99.81 to 31.232.99.9431.232.99.9514
5531.232.99.96/2831.232.99.97 to 31.232.99.11031.232.99.11114
5631.232.99.112/2831.232.99.113 to 31.232.99.12631.232.99.12714
5731.232.99.128/2831.232.99.129 to 31.232.99.14231.232.99.14314
5831.232.99.144/2831.232.99.145 to 31.232.99.15831.232.99.15914
5931.232.99.160/2831.232.99.161 to 31.232.99.17431.232.99.17514
6031.232.99.176/2831.232.99.177 to 31.232.99.19031.232.99.19114
6131.232.99.192/2831.232.99.193 to 31.232.99.20631.232.99.20714
6231.232.99.208/2831.232.99.209 to 31.232.99.22231.232.99.22314
6331.232.99.224/2831.232.99.225 to 31.232.99.23831.232.99.23914
6431.232.99.240/2831.232.99.241 to 31.232.99.25431.232.99.25514
6531.232.100.0/2831.232.100.1 to 31.232.100.1431.232.100.1514
6631.232.100.16/2831.232.100.17 to 31.232.100.3031.232.100.3114
6731.232.100.32/2831.232.100.33 to 31.232.100.4631.232.100.4714
6831.232.100.48/2831.232.100.49 to 31.232.100.6231.232.100.6314
6931.232.100.64/2831.232.100.65 to 31.232.100.7831.232.100.7914
7031.232.100.80/2831.232.100.81 to 31.232.100.9431.232.100.9514
7131.232.100.96/2831.232.100.97 to 31.232.100.11031.232.100.11114
7231.232.100.112/2831.232.100.113 to 31.232.100.12631.232.100.12714
7331.232.100.128/2831.232.100.129 to 31.232.100.14231.232.100.14314
7431.232.100.144/2831.232.100.145 to 31.232.100.15831.232.100.15914
7531.232.100.160/2831.232.100.161 to 31.232.100.17431.232.100.17514
7631.232.100.176/2831.232.100.177 to 31.232.100.19031.232.100.19114
7731.232.100.192/2831.232.100.193 to 31.232.100.20631.232.100.20714
7831.232.100.208/2831.232.100.209 to 31.232.100.22231.232.100.22314
7931.232.100.224/2831.232.100.225 to 31.232.100.23831.232.100.23914
8031.232.100.240/2831.232.100.241 to 31.232.100.25431.232.100.25514
8131.232.101.0/2831.232.101.1 to 31.232.101.1431.232.101.1514
8231.232.101.16/2831.232.101.17 to 31.232.101.3031.232.101.3114
8331.232.101.32/2831.232.101.33 to 31.232.101.4631.232.101.4714
8431.232.101.48/2831.232.101.49 to 31.232.101.6231.232.101.6314
8531.232.101.64/2831.232.101.65 to 31.232.101.7831.232.101.7914
8631.232.101.80/2831.232.101.81 to 31.232.101.9431.232.101.9514
8731.232.101.96/2831.232.101.97 to 31.232.101.11031.232.101.11114
8831.232.101.112/2831.232.101.113 to 31.232.101.12631.232.101.12714
8931.232.101.128/2831.232.101.129 to 31.232.101.14231.232.101.14314
9031.232.101.144/2831.232.101.145 to 31.232.101.15831.232.101.15914
9131.232.101.160/2831.232.101.161 to 31.232.101.17431.232.101.17514
9231.232.101.176/2831.232.101.177 to 31.232.101.19031.232.101.19114
9331.232.101.192/2831.232.101.193 to 31.232.101.20631.232.101.20714
9431.232.101.208/2831.232.101.209 to 31.232.101.22231.232.101.22314
9531.232.101.224/2831.232.101.225 to 31.232.101.23831.232.101.23914
9631.232.101.240/2831.232.101.241 to 31.232.101.25431.232.101.25514
9731.232.102.0/2831.232.102.1 to 31.232.102.1431.232.102.1514
9831.232.102.16/2831.232.102.17 to 31.232.102.3031.232.102.3114
9931.232.102.32/2831.232.102.33 to 31.232.102.4631.232.102.4714
10031.232.102.48/2831.232.102.49 to 31.232.102.6231.232.102.6314
10131.232.102.64/2831.232.102.65 to 31.232.102.7831.232.102.7914
10231.232.102.80/2831.232.102.81 to 31.232.102.9431.232.102.9514
10331.232.102.96/2831.232.102.97 to 31.232.102.11031.232.102.11114
10431.232.102.112/2831.232.102.113 to 31.232.102.12631.232.102.12714
10531.232.102.128/2831.232.102.129 to 31.232.102.14231.232.102.14314
10631.232.102.144/2831.232.102.145 to 31.232.102.15831.232.102.15914
10731.232.102.160/2831.232.102.161 to 31.232.102.17431.232.102.17514
10831.232.102.176/2831.232.102.177 to 31.232.102.19031.232.102.19114
10931.232.102.192/2831.232.102.193 to 31.232.102.20631.232.102.20714
11031.232.102.208/2831.232.102.209 to 31.232.102.22231.232.102.22314
11131.232.102.224/2831.232.102.225 to 31.232.102.23831.232.102.23914
11231.232.102.240/2831.232.102.241 to 31.232.102.25431.232.102.25514
11331.232.103.0/2831.232.103.1 to 31.232.103.1431.232.103.1514
11431.232.103.16/2831.232.103.17 to 31.232.103.3031.232.103.3114
11531.232.103.32/2831.232.103.33 to 31.232.103.4631.232.103.4714
11631.232.103.48/2831.232.103.49 to 31.232.103.6231.232.103.6314
11731.232.103.64/2831.232.103.65 to 31.232.103.7831.232.103.7914
11831.232.103.80/2831.232.103.81 to 31.232.103.9431.232.103.9514
11931.232.103.96/2831.232.103.97 to 31.232.103.11031.232.103.11114
12031.232.103.112/2831.232.103.113 to 31.232.103.12631.232.103.12714
12131.232.103.128/2831.232.103.129 to 31.232.103.14231.232.103.14314
12231.232.103.144/2831.232.103.145 to 31.232.103.15831.232.103.15914
12331.232.103.160/2831.232.103.161 to 31.232.103.17431.232.103.17514
12431.232.103.176/2831.232.103.177 to 31.232.103.19031.232.103.19114
12531.232.103.192/2831.232.103.193 to 31.232.103.20631.232.103.20714
12631.232.103.208/2831.232.103.209 to 31.232.103.22231.232.103.22314
12731.232.103.224/2831.232.103.225 to 31.232.103.23831.232.103.23914
12831.232.103.240/2831.232.103.241 to 31.232.103.25431.232.103.25514
12931.232.104.0/2831.232.104.1 to 31.232.104.1431.232.104.1514
13031.232.104.16/2831.232.104.17 to 31.232.104.3031.232.104.3114
13131.232.104.32/2831.232.104.33 to 31.232.104.4631.232.104.4714
13231.232.104.48/2831.232.104.49 to 31.232.104.6231.232.104.6314
13331.232.104.64/2831.232.104.65 to 31.232.104.7831.232.104.7914
13431.232.104.80/2831.232.104.81 to 31.232.104.9431.232.104.9514
13531.232.104.96/2831.232.104.97 to 31.232.104.11031.232.104.11114
13631.232.104.112/2831.232.104.113 to 31.232.104.12631.232.104.12714
13731.232.104.128/2831.232.104.129 to 31.232.104.14231.232.104.14314
13831.232.104.144/2831.232.104.145 to 31.232.104.15831.232.104.15914
13931.232.104.160/2831.232.104.161 to 31.232.104.17431.232.104.17514
14031.232.104.176/2831.232.104.177 to 31.232.104.19031.232.104.19114
14131.232.104.192/2831.232.104.193 to 31.232.104.20631.232.104.20714
14231.232.104.208/2831.232.104.209 to 31.232.104.22231.232.104.22314
14331.232.104.224/2831.232.104.225 to 31.232.104.23831.232.104.23914
14431.232.104.240/2831.232.104.241 to 31.232.104.25431.232.104.25514
14531.232.105.0/2831.232.105.1 to 31.232.105.1431.232.105.1514
14631.232.105.16/2831.232.105.17 to 31.232.105.3031.232.105.3114
14731.232.105.32/2831.232.105.33 to 31.232.105.4631.232.105.4714
14831.232.105.48/2831.232.105.49 to 31.232.105.6231.232.105.6314
14931.232.105.64/2831.232.105.65 to 31.232.105.7831.232.105.7914
15031.232.105.80/2831.232.105.81 to 31.232.105.9431.232.105.9514
15131.232.105.96/2831.232.105.97 to 31.232.105.11031.232.105.11114
15231.232.105.112/2831.232.105.113 to 31.232.105.12631.232.105.12714
15331.232.105.128/2831.232.105.129 to 31.232.105.14231.232.105.14314
15431.232.105.144/2831.232.105.145 to 31.232.105.15831.232.105.15914
15531.232.105.160/2831.232.105.161 to 31.232.105.17431.232.105.17514
15631.232.105.176/2831.232.105.177 to 31.232.105.19031.232.105.19114
15731.232.105.192/2831.232.105.193 to 31.232.105.20631.232.105.20714
15831.232.105.208/2831.232.105.209 to 31.232.105.22231.232.105.22314
15931.232.105.224/2831.232.105.225 to 31.232.105.23831.232.105.23914
16031.232.105.240/2831.232.105.241 to 31.232.105.25431.232.105.25514
16131.232.106.0/2831.232.106.1 to 31.232.106.1431.232.106.1514
16231.232.106.16/2831.232.106.17 to 31.232.106.3031.232.106.3114
16331.232.106.32/2831.232.106.33 to 31.232.106.4631.232.106.4714
16431.232.106.48/2831.232.106.49 to 31.232.106.6231.232.106.6314
16531.232.106.64/2831.232.106.65 to 31.232.106.7831.232.106.7914
16631.232.106.80/2831.232.106.81 to 31.232.106.9431.232.106.9514
16731.232.106.96/2831.232.106.97 to 31.232.106.11031.232.106.11114
16831.232.106.112/2831.232.106.113 to 31.232.106.12631.232.106.12714
16931.232.106.128/2831.232.106.129 to 31.232.106.14231.232.106.14314
17031.232.106.144/2831.232.106.145 to 31.232.106.15831.232.106.15914
17131.232.106.160/2831.232.106.161 to 31.232.106.17431.232.106.17514
17231.232.106.176/2831.232.106.177 to 31.232.106.19031.232.106.19114
17331.232.106.192/2831.232.106.193 to 31.232.106.20631.232.106.20714
17431.232.106.208/2831.232.106.209 to 31.232.106.22231.232.106.22314
17531.232.106.224/2831.232.106.225 to 31.232.106.23831.232.106.23914
17631.232.106.240/2831.232.106.241 to 31.232.106.25431.232.106.25514
17731.232.107.0/2831.232.107.1 to 31.232.107.1431.232.107.1514
17831.232.107.16/2831.232.107.17 to 31.232.107.3031.232.107.3114
17931.232.107.32/2831.232.107.33 to 31.232.107.4631.232.107.4714
18031.232.107.48/2831.232.107.49 to 31.232.107.6231.232.107.6314
18131.232.107.64/2831.232.107.65 to 31.232.107.7831.232.107.7914
18231.232.107.80/2831.232.107.81 to 31.232.107.9431.232.107.9514
18331.232.107.96/2831.232.107.97 to 31.232.107.11031.232.107.11114
18431.232.107.112/2831.232.107.113 to 31.232.107.12631.232.107.12714
18531.232.107.128/2831.232.107.129 to 31.232.107.14231.232.107.14314
18631.232.107.144/2831.232.107.145 to 31.232.107.15831.232.107.15914
18731.232.107.160/2831.232.107.161 to 31.232.107.17431.232.107.17514
18831.232.107.176/2831.232.107.177 to 31.232.107.19031.232.107.19114
18931.232.107.192/2831.232.107.193 to 31.232.107.20631.232.107.20714
19031.232.107.208/2831.232.107.209 to 31.232.107.22231.232.107.22314
19131.232.107.224/2831.232.107.225 to 31.232.107.23831.232.107.23914
19231.232.107.240/2831.232.107.241 to 31.232.107.25431.232.107.25514
19331.232.108.0/2831.232.108.1 to 31.232.108.1431.232.108.1514
19431.232.108.16/2831.232.108.17 to 31.232.108.3031.232.108.3114
19531.232.108.32/2831.232.108.33 to 31.232.108.4631.232.108.4714
19631.232.108.48/2831.232.108.49 to 31.232.108.6231.232.108.6314
19731.232.108.64/2831.232.108.65 to 31.232.108.7831.232.108.7914
19831.232.108.80/2831.232.108.81 to 31.232.108.9431.232.108.9514
19931.232.108.96/2831.232.108.97 to 31.232.108.11031.232.108.11114
20031.232.108.112/2831.232.108.113 to 31.232.108.12631.232.108.12714
20131.232.108.128/2831.232.108.129 to 31.232.108.14231.232.108.14314
20231.232.108.144/2831.232.108.145 to 31.232.108.15831.232.108.15914
20331.232.108.160/2831.232.108.161 to 31.232.108.17431.232.108.17514
20431.232.108.176/2831.232.108.177 to 31.232.108.19031.232.108.19114
20531.232.108.192/2831.232.108.193 to 31.232.108.20631.232.108.20714
20631.232.108.208/2831.232.108.209 to 31.232.108.22231.232.108.22314
20731.232.108.224/2831.232.108.225 to 31.232.108.23831.232.108.23914
20831.232.108.240/2831.232.108.241 to 31.232.108.25431.232.108.25514
20931.232.109.0/2831.232.109.1 to 31.232.109.1431.232.109.1514
21031.232.109.16/2831.232.109.17 to 31.232.109.3031.232.109.3114
21131.232.109.32/2831.232.109.33 to 31.232.109.4631.232.109.4714
21231.232.109.48/2831.232.109.49 to 31.232.109.6231.232.109.6314
21331.232.109.64/2831.232.109.65 to 31.232.109.7831.232.109.7914
21431.232.109.80/2831.232.109.81 to 31.232.109.9431.232.109.9514
21531.232.109.96/2831.232.109.97 to 31.232.109.11031.232.109.11114
21631.232.109.112/2831.232.109.113 to 31.232.109.12631.232.109.12714
21731.232.109.128/2831.232.109.129 to 31.232.109.14231.232.109.14314
21831.232.109.144/2831.232.109.145 to 31.232.109.15831.232.109.15914
21931.232.109.160/2831.232.109.161 to 31.232.109.17431.232.109.17514
22031.232.109.176/2831.232.109.177 to 31.232.109.19031.232.109.19114
22131.232.109.192/2831.232.109.193 to 31.232.109.20631.232.109.20714
22231.232.109.208/2831.232.109.209 to 31.232.109.22231.232.109.22314
22331.232.109.224/2831.232.109.225 to 31.232.109.23831.232.109.23914
22431.232.109.240/2831.232.109.241 to 31.232.109.25431.232.109.25514
22531.232.110.0/2831.232.110.1 to 31.232.110.1431.232.110.1514
22631.232.110.16/2831.232.110.17 to 31.232.110.3031.232.110.3114
22731.232.110.32/2831.232.110.33 to 31.232.110.4631.232.110.4714
22831.232.110.48/2831.232.110.49 to 31.232.110.6231.232.110.6314
22931.232.110.64/2831.232.110.65 to 31.232.110.7831.232.110.7914
23031.232.110.80/2831.232.110.81 to 31.232.110.9431.232.110.9514
23131.232.110.96/2831.232.110.97 to 31.232.110.11031.232.110.11114
23231.232.110.112/2831.232.110.113 to 31.232.110.12631.232.110.12714
23331.232.110.128/2831.232.110.129 to 31.232.110.14231.232.110.14314
23431.232.110.144/2831.232.110.145 to 31.232.110.15831.232.110.15914
23531.232.110.160/2831.232.110.161 to 31.232.110.17431.232.110.17514
23631.232.110.176/2831.232.110.177 to 31.232.110.19031.232.110.19114
23731.232.110.192/2831.232.110.193 to 31.232.110.20631.232.110.20714
23831.232.110.208/2831.232.110.209 to 31.232.110.22231.232.110.22314
23931.232.110.224/2831.232.110.225 to 31.232.110.23831.232.110.23914
24031.232.110.240/2831.232.110.241 to 31.232.110.25431.232.110.25514
24131.232.111.0/2831.232.111.1 to 31.232.111.1431.232.111.1514
24231.232.111.16/2831.232.111.17 to 31.232.111.3031.232.111.3114
24331.232.111.32/2831.232.111.33 to 31.232.111.4631.232.111.4714
24431.232.111.48/2831.232.111.49 to 31.232.111.6231.232.111.6314
24531.232.111.64/2831.232.111.65 to 31.232.111.7831.232.111.7914
24631.232.111.80/2831.232.111.81 to 31.232.111.9431.232.111.9514
24731.232.111.96/2831.232.111.97 to 31.232.111.11031.232.111.11114
24831.232.111.112/2831.232.111.113 to 31.232.111.12631.232.111.12714
24931.232.111.128/2831.232.111.129 to 31.232.111.14231.232.111.14314
25031.232.111.144/2831.232.111.145 to 31.232.111.15831.232.111.15914
25131.232.111.160/2831.232.111.161 to 31.232.111.17431.232.111.17514
25231.232.111.176/2831.232.111.177 to 31.232.111.19031.232.111.19114
25331.232.111.192/2831.232.111.193 to 31.232.111.20631.232.111.20714
25431.232.111.208/2831.232.111.209 to 31.232.111.22231.232.111.22314
25531.232.111.224/2831.232.111.225 to 31.232.111.23831.232.111.23914
25631.232.111.240/2831.232.111.241 to 31.232.111.25431.232.111.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses